Bug 1360978 - [RFE]Reducing number of network round trips
Summary: [RFE]Reducing number of network round trips
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Pranith Kumar K
QA Contact: nchilaka
URL:
Whiteboard:
Depends On: 1290304 1372686 1372693
Blocks: Gluster-HC-2 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-28 05:55 UTC by Sahina Bose
Modified: 2017-03-23 05:40 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1290304
Environment:
Last Closed: 2017-03-23 05:40:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Sahina Bose 2016-07-28 05:55:43 UTC
+++ This bug was initially created as a clone of Bug #1290304 +++

Description of problem:
In the unoptimized version of transaction we have: 1) Lock,
2) Pre-op 3) op 4) Post-op 5) unlock
With compound fops we will have:
1) Lock, 2) Pre-op + op 3) post-op + unlock
This reduces round trips from 5 to 3 in the un-optimized version 
of afr-transaction.

This helps in small file write workload.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Krutika Dhananjay 2016-09-16 12:46:00 UTC
Patches posted (after much time spent on conflict resolution!):

https://code.engineering.redhat.com/gerrit/#/c/84813/
https://code.engineering.redhat.com/gerrit/#/c/84814/
https://code.engineering.redhat.com/gerrit/#/c/84815/
https://code.engineering.redhat.com/gerrit/#/c/84816/

Please merge them in the same order.

Comment 7 SATHEESARAN 2016-10-21 09:23:20 UTC
This bug couldn't verified with HC, as there is a test blocker with enabling compound fops - BZ 1379919

Comment 8 nchilaka 2016-11-29 06:54:26 UTC
QATP:
=====
1)check if the performance has improved
2) check if the memory consumption is stable
3) check if the options work functionally well

Comment 9 nchilaka 2016-11-29 06:58:20 UTC
Blocked with verification due to bugs raised below:
 1393709 - [Compound FOPs] Client side IObuff leaks at a high pace consumes complete client memory and hence making gluster volume inaccessible 
1398315 - [compound FOPs]: Memory leak while doing FOPs with brick down
1397364 - [compound FOPs]: file operation hangs with compound fops
1397846 - [Compound FOPS]: seeing lot of brick log errors saying matching lock not found for unlock 
1398311 - [compound FOPs]:in replica pair one brick is down the other Brick process and fuse client process consume high memory at a increasing pace

Comment 10 nchilaka 2016-12-22 13:54:27 UTC
waiting on the memory leak fixes to come in, till then I am blocked or can't move this to verified, as this bug is to improve performance and not a functional bug perse, and the perf improvement should not come at the cost of another resource regression(like in this mem leak)

Comment 11 nchilaka 2017-02-08 12:37:04 UTC
Based on a discussion we had on email chain, HCI team is seeing an improvement.
Also as it is a step by step approach, and based on email discussion moving to verified

Comment 13 errata-xmlrpc 2017-03-23 05:40:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.